
; Afficher le titre
TITLE_PRINT:
	
	ld	a, 24
	ld	e, 24
	ld	hl, v
	call	DRWSPR
	
	ld	a, 32
	ld	e, 24
	ld	hl, o
	call	DRWSPR
	
	ld	a, 40
	ld	e, 24
	ld	hl, l
	call	DRWSPR
	
	ld	a, 48
	ld	e, 24
	ld	hl, t
	call	DRWSPR

	ld	a, 56
	ld	e, 24
	ld	hl, s
	call	DRWSPR
	
	call	FASTCOPY


	; afficher "press a key"
        ld       a,24
        ld       (pencol),a   ;charge la valeur de la ligne de texte sur l'écran
        ld       a,45
        ld       (penrow),a   ;charge la valeur de la colone de texte.
        ld       hl,press_a_key;charge l'adresse du texte dans hl
        call    _vputs        ;appelle la rom call puts

	
	call	WAITKEY
	
	call	TITLE_SCROLL

	ret

; Effet de scroll sur le titre
TITLE_SCROLL:

	ld	b, 64
ts_loop:
	push	bc
	ld	hl, 37148
	ld	de, 37160
	ld	bc, 768

	lddr

	call	FASTCOPY
	pop	bc
	djnz	ts_loop
	
	ret



press_a_key:
        .db $05, " press a key...", 0


; Les sprites pour "VOLTS"
v:
	.db 11100111b
	.db 01100111b
	.db 00110111b
	.db 00011111b
	.db 00001111b
	.db 00000111b
	.db 00000011b
	.db 00000000b
o:
	.db 11111111b
	.db 11111111b
	.db 00000000b
	.db 00000000b
	.db 01111110b
	.db 01100110b
	.db 01100110b
	.db 01111110b
	
l:
	.db 11111111b
	.db 11111111b
	.db 00000000b
	.db 01111000b
	.db 01110000b
	.db 01110011b
	.db 01111111b
	.db 01111111b

t:
	.db 11111111b
	.db 11111111b
	.db 00000000b
	.db 11111111b	
	.db 00111100b
	.db 00111100b
	.db 00011100b
	.db 00101100b
	.db 00110100b
	

s:	
	.db 11111111b
	.db 11111110b
	.db 00001100b
	.db 00011000b
	.db 00111110b
	.db 00001100b
	.db 00011000b
	.db 00100000b
	

